Opera < 9.52 Multiple Vulnerabilities

High Nessus Plugin ID 33949


The remote host contains a web browser that is affected by several issues.


The version of Opera installed on the remote host is earlier than 9.52 and thus reportedly affected by several issues :

- Specially crafted URLs could start Opera in a way that would allow execution of arbitrary code.

- Invalid checking of what frames a site can change, allowing a website to open pages from other sites.

- An unspecified cross-site scripting issue.

- Custom shortcuts and menu commands may pass parameters created from uninitialized memory.

- Secure sites loading insecure content in a frame will cause Opera to incorrectly display the padlock icon.

- Feed sources can link to a user's local disk, and appropriate JavaScript can detect if these files exist or not.

- The page address may be changed when a user subscribes to a newsfeed subscription using the feed subscription button.


Upgrade to Opera version 9.52 or later.

See Also









Plugin Details

Severity: High

ID: 33949

File Name: opera_952.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2008/08/20

Modified: 2016/12/07

Dependencies: 21746

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:opera:opera_browser

Required KB Items: SMB/Opera/Version_UI

Exploit Available: true

Exploit Ease: Exploits are available

Reference Information

CVE: CVE-2008-4195, CVE-2008-4196, CVE-2008-4197, CVE-2008-4198, CVE-2008-4199, CVE-2008-4200, CVE-2008-4293

BID: 30768, 31183

OSVDB: 47688, 47689, 47690, 47691, 47692, 47693, 48719

Secunia: 31549

CWE: 20, 79, 200, 264, 399